Package org.apache.sling.scripting.sightly.impl.parser.expr.generated

## Class SightlyParserBaseListener

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyParserBaseListener

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener`, `SightlyParserListener`

    public class SightlyParserBaseListener
    extends Object
    implements SightlyParserListener

This class provides an empty implementation of `SightlyParserListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

### Constructor Summary

Constructors
`SightlyParserBaseListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enterAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)` Enter a parse tree produced by `SightlyParser.andBinaryOp()`.
`void` `enterAtom​(SightlyParser.AtomContext ctx)` Enter a parse tree produced by `SightlyParser.atom()`.
`void` `enterComparisonOp​(SightlyParser.ComparisonOpContext ctx)` Enter a parse tree produced by `SightlyParser.comparisonOp()`.
`void` `enterComparisonTerm​(SightlyParser.ComparisonTermContext ctx)` Enter a parse tree produced by `SightlyParser.comparisonTerm()`.
`void` `enterEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void` `enterExpression​(SightlyParser.ExpressionContext ctx)` Enter a parse tree produced by `SightlyParser.expression()`.
`void` `enterExprNode​(SightlyParser.ExprNodeContext ctx)` Enter a parse tree produced by `SightlyParser.exprNode()`.
`void` `enterFactor​(SightlyParser.FactorContext ctx)` Enter a parse tree produced by `SightlyParser.factor()`.
`void` `enterField​(SightlyParser.FieldContext ctx)` Enter a parse tree produced by `SightlyParser.field()`.
`void` `enterInBinaryOp​(SightlyParser.InBinaryOpContext ctx)` Enter a parse tree produced by `SightlyParser.inBinaryOp()`.
`void` `enterInterpolation​(SightlyParser.InterpolationContext ctx)` Enter a parse tree produced by `SightlyParser.interpolation()`.
`void` `enterOption​(SightlyParser.OptionContext ctx)` Enter a parse tree produced by `SightlyParser.option()`.
`void` `enterOptionList​(SightlyParser.OptionListContext ctx)` Enter a parse tree produced by `SightlyParser.optionList()`.
`void` `enterOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)` Enter a parse tree produced by `SightlyParser.orBinaryOp()`.
`void` `enterSimple​(SightlyParser.SimpleContext ctx)` Enter a parse tree produced by `SightlyParser.simple()`.
`void` `enterStringConst​(SightlyParser.StringConstContext ctx)` Enter a parse tree produced by `SightlyParser.stringConst()`.
`void` `enterTerm​(SightlyParser.TermContext ctx)` Enter a parse tree produced by `SightlyParser.term()`.
`void` `enterTextFrag​(SightlyParser.TextFragContext ctx)` Enter a parse tree produced by `SightlyParser.textFrag()`.
`void` `enterValueList​(SightlyParser.ValueListContext ctx)` Enter a parse tree produced by `SightlyParser.valueList()`.
`void` `exitAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)` Exit a parse tree produced by `SightlyParser.andBinaryOp()`.
`void` `exitAtom​(SightlyParser.AtomContext ctx)` Exit a parse tree produced by `SightlyParser.atom()`.
`void` `exitComparisonOp​(SightlyParser.ComparisonOpContext ctx)` Exit a parse tree produced by `SightlyParser.comparisonOp()`.
`void` `exitComparisonTerm​(SightlyParser.ComparisonTermContext ctx)` Exit a parse tree produced by `SightlyParser.comparisonTerm()`.
`void` `exitEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void` `exitExpression​(SightlyParser.ExpressionContext ctx)` Exit a parse tree produced by `SightlyParser.expression()`.
`void` `exitExprNode​(SightlyParser.ExprNodeContext ctx)` Exit a parse tree produced by `SightlyParser.exprNode()`.
`void` `exitFactor​(SightlyParser.FactorContext ctx)` Exit a parse tree produced by `SightlyParser.factor()`.
`void` `exitField​(SightlyParser.FieldContext ctx)` Exit a parse tree produced by `SightlyParser.field()`.
`void` `exitInBinaryOp​(SightlyParser.InBinaryOpContext ctx)` Exit a parse tree produced by `SightlyParser.inBinaryOp()`.
`void` `exitInterpolation​(SightlyParser.InterpolationContext ctx)` Exit a parse tree produced by `SightlyParser.interpolation()`.
`void` `exitOption​(SightlyParser.OptionContext ctx)` Exit a parse tree produced by `SightlyParser.option()`.
`void` `exitOptionList​(SightlyParser.OptionListContext ctx)` Exit a parse tree produced by `SightlyParser.optionList()`.
`void` `exitOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)` Exit a parse tree produced by `SightlyParser.orBinaryOp()`.
`void` `exitSimple​(SightlyParser.SimpleContext ctx)` Exit a parse tree produced by `SightlyParser.simple()`.
`void` `exitStringConst​(SightlyParser.StringConstContext ctx)` Exit a parse tree produced by `SightlyParser.stringConst()`.
`void` `exitTerm​(SightlyParser.TermContext ctx)` Exit a parse tree produced by `SightlyParser.term()`.
`void` `exitTextFrag​(SightlyParser.TextFragContext ctx)` Exit a parse tree produced by `SightlyParser.textFrag()`.
`void` `exitValueList​(SightlyParser.ValueListContext ctx)` Exit a parse tree produced by `SightlyParser.valueList()`.
`void` `visitErrorNode​(org.antlr.v4.runtime.tree.ErrorNode node)`
`void` `visitTerminal​(org.antlr.v4.runtime.tree.TerminalNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SightlyParserBaseListener

    public SightlyParserBaseListener()

### Method Detail

#### enterInterpolation

    public void enterInterpolation​(SightlyParser.InterpolationContext ctx)

Enter a parse tree produced by `SightlyParser.interpolation()`.

The default implementation does nothing.

Specified by:
  `enterInterpolation` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitInterpolation

    public void exitInterpolation​(SightlyParser.InterpolationContext ctx)

Exit a parse tree produced by `SightlyParser.interpolation()`.

The default implementation does nothing.

Specified by:
  `exitInterpolation` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterTextFrag

    public void enterTextFrag​(SightlyParser.TextFragContext ctx)

Enter a parse tree produced by `SightlyParser.textFrag()`.

The default implementation does nothing.

Specified by:
  `enterTextFrag` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitTextFrag

    public void exitTextFrag​(SightlyParser.TextFragContext ctx)

Exit a parse tree produced by `SightlyParser.textFrag()`.

The default implementation does nothing.

Specified by:
  `exitTextFrag` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterExpression

    public void enterExpression​(SightlyParser.ExpressionContext ctx)

Enter a parse tree produced by `SightlyParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpression` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitExpression

    public void exitExpression​(SightlyParser.ExpressionContext ctx)

Exit a parse tree produced by `SightlyParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpression` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterOptionList

    public void enterOptionList​(SightlyParser.OptionListContext ctx)

Enter a parse tree produced by `SightlyParser.optionList()`.

The default implementation does nothing.

Specified by:
  `enterOptionList` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitOptionList

    public void exitOptionList​(SightlyParser.OptionListContext ctx)

Exit a parse tree produced by `SightlyParser.optionList()`.

The default implementation does nothing.

Specified by:
  `exitOptionList` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterOption

    public void enterOption​(SightlyParser.OptionContext ctx)

Enter a parse tree produced by `SightlyParser.option()`.

The default implementation does nothing.

Specified by:
  `enterOption` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitOption

    public void exitOption​(SightlyParser.OptionContext ctx)

Exit a parse tree produced by `SightlyParser.option()`.

The default implementation does nothing.

Specified by:
  `exitOption` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterExprNode

    public void enterExprNode​(SightlyParser.ExprNodeContext ctx)

Enter a parse tree produced by `SightlyParser.exprNode()`.

The default implementation does nothing.

Specified by:
  `enterExprNode` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitExprNode

    public void exitExprNode​(SightlyParser.ExprNodeContext ctx)

Exit a parse tree produced by `SightlyParser.exprNode()`.

The default implementation does nothing.

Specified by:
  `exitExprNode` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterOrBinaryOp

    public void enterOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)

Enter a parse tree produced by `SightlyParser.orBinaryOp()`.

The default implementation does nothing.

Specified by:
  `enterOrBinaryOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitOrBinaryOp

    public void exitOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)

Exit a parse tree produced by `SightlyParser.orBinaryOp()`.

The default implementation does nothing.

Specified by:
  `exitOrBinaryOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterAndBinaryOp

    public void enterAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)

Enter a parse tree produced by `SightlyParser.andBinaryOp()`.

The default implementation does nothing.

Specified by:
  `enterAndBinaryOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitAndBinaryOp

    public void exitAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)

Exit a parse tree produced by `SightlyParser.andBinaryOp()`.

The default implementation does nothing.

Specified by:
  `exitAndBinaryOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterInBinaryOp

    public void enterInBinaryOp​(SightlyParser.InBinaryOpContext ctx)

Enter a parse tree produced by `SightlyParser.inBinaryOp()`.

The default implementation does nothing.

Specified by:
  `enterInBinaryOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitInBinaryOp

    public void exitInBinaryOp​(SightlyParser.InBinaryOpContext ctx)

Exit a parse tree produced by `SightlyParser.inBinaryOp()`.

The default implementation does nothing.

Specified by:
  `exitInBinaryOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterComparisonTerm

    public void enterComparisonTerm​(SightlyParser.ComparisonTermContext ctx)

Enter a parse tree produced by `SightlyParser.comparisonTerm()`.

The default implementation does nothing.

Specified by:
  `enterComparisonTerm` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitComparisonTerm

    public void exitComparisonTerm​(SightlyParser.ComparisonTermContext ctx)

Exit a parse tree produced by `SightlyParser.comparisonTerm()`.

The default implementation does nothing.

Specified by:
  `exitComparisonTerm` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterComparisonOp

    public void enterComparisonOp​(SightlyParser.ComparisonOpContext ctx)

Enter a parse tree produced by `SightlyParser.comparisonOp()`.

The default implementation does nothing.

Specified by:
  `enterComparisonOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitComparisonOp

    public void exitComparisonOp​(SightlyParser.ComparisonOpContext ctx)

Exit a parse tree produced by `SightlyParser.comparisonOp()`.

The default implementation does nothing.

Specified by:
  `exitComparisonOp` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterFactor

    public void enterFactor​(SightlyParser.FactorContext ctx)

Enter a parse tree produced by `SightlyParser.factor()`.

The default implementation does nothing.

Specified by:
  `enterFactor` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitFactor

    public void exitFactor​(SightlyParser.FactorContext ctx)

Exit a parse tree produced by `SightlyParser.factor()`.

The default implementation does nothing.

Specified by:
  `exitFactor` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterTerm

    public void enterTerm​(SightlyParser.TermContext ctx)

Enter a parse tree produced by `SightlyParser.term()`.

The default implementation does nothing.

Specified by:
  `enterTerm` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitTerm

    public void exitTerm​(SightlyParser.TermContext ctx)

Exit a parse tree produced by `SightlyParser.term()`.

The default implementation does nothing.

Specified by:
  `exitTerm` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterField

    public void enterField​(SightlyParser.FieldContext ctx)

Enter a parse tree produced by `SightlyParser.field()`.

The default implementation does nothing.

Specified by:
  `enterField` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitField

    public void exitField​(SightlyParser.FieldContext ctx)

Exit a parse tree produced by `SightlyParser.field()`.

The default implementation does nothing.

Specified by:
  `exitField` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterSimple

    public void enterSimple​(SightlyParser.SimpleContext ctx)

Enter a parse tree produced by `SightlyParser.simple()`.

The default implementation does nothing.

Specified by:
  `enterSimple` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitSimple

    public void exitSimple​(SightlyParser.SimpleContext ctx)

Exit a parse tree produced by `SightlyParser.simple()`.

The default implementation does nothing.

Specified by:
  `exitSimple` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterValueList

    public void enterValueList​(SightlyParser.ValueListContext ctx)

Enter a parse tree produced by `SightlyParser.valueList()`.

The default implementation does nothing.

Specified by:
  `enterValueList` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitValueList

    public void exitValueList​(SightlyParser.ValueListContext ctx)

Exit a parse tree produced by `SightlyParser.valueList()`.

The default implementation does nothing.

Specified by:
  `exitValueList` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterAtom

    public void enterAtom​(SightlyParser.AtomContext ctx)

Enter a parse tree produced by `SightlyParser.atom()`.

The default implementation does nothing.

Specified by:
  `enterAtom` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitAtom

    public void exitAtom​(SightlyParser.AtomContext ctx)

Exit a parse tree produced by `SightlyParser.atom()`.

The default implementation does nothing.

Specified by:
  `exitAtom` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterStringConst

    public void enterStringConst​(SightlyParser.StringConstContext ctx)

Enter a parse tree produced by `SightlyParser.stringConst()`.

The default implementation does nothing.

Specified by:
  `enterStringConst` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### exitStringConst

    public void exitStringConst​(SightlyParser.StringConstContext ctx)

Exit a parse tree produced by `SightlyParser.stringConst()`.

The default implementation does nothing.

Specified by:
  `exitStringConst` in interface `SightlyParserListener`
Parameters:
  `ctx` - the parse tree

#### enterEveryRule

    public void enterEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

#### exitEveryRule

    public void exitEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

#### visitTerminal

    public void visitTerminal​(org.antlr.v4.runtime.tree.TerminalNode node)

The default implementation does nothing.

Specified by:
  `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

#### visitErrorNode

    public void visitErrorNode​(org.antlr.v4.runtime.tree.ErrorNode node)

The default implementation does nothing.

Specified by:
  `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`